# ParsEngCo website
This is the source for the main ParsEngineering company website, found at [parseng.co](http://parseng.co).  

## TEAM (1Devs Web Department)
* [Mohammad Sedaghat `sedaghat`](https://github.com/sedaghat) Project Manager
* [Ali Mihandoost `AliMD`](https://github.com/AliMD) Technical Manager / Developer
* [Ali aGHasizadeh `AliGH`](https://github.com/AliGH) Developer / Programmer

## THANKS (Contributors)
* [Omid Gharib `omidgharib`](https://github.com/omidgharib) Developer / Programmer
* [Yashar Ahmadi `YasharAMD`](https://github.com/YasharAMD) Developer / Programmer
* [Nick Shylo `Denoizzed`](https://github.com/Denoizzed) Graphic Designer

## TECHNOLOGY
* [HTML5](http://ali.md/wiki/html5)
* [CSS3](http://ali.md/css3ref)
* [1Styles](http://ali.md/1styles)
* [JavaScript](http://ali.md/wiki/javascript)
* [Zepto.js](http://ali.md/zepto.js)
* [jQuery.js](http://ali.md/jquery.js)
* [html5shiv](http://ali.md/html5shiv)
* [PHP](http://ali.md/php/)
* [MySQL](http://ali.md/wiki/mysql)

## Change Log

[![Build Status](https://secure.travis-ci.org/AliMD/ParsEngCo.png?branch=master)](https://travis-ci.org/AliMD/ParsEngCo)

#### HEAD (now)
  * Cross browser support.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v1.0rc2...master)

#### v1.0rc2 (11/29/2012)
  * Improved SEO.
  * Dynamic product by admin panel.
  * Dynamic categories and submenus.
  * Fix some bugs.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v1.0rc1...v1.0rc2)

#### v1.0rc1 (11/24/2012)
  * Dynamic Products and projects.
  * Search engine friendly urls.
  * Admin panel.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.9...v1.0rc1)


#### v0.9 (11/15/2012)
  * RC for static website.
  * Javascript completed.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.8...v0.9)

#### v0.8 (11/14/2012)
  * Persian pages layout.
  * Persian fonts.
  * Better css and layout.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.7...v0.8)

#### v0.7 (11/06/2012)
  * Persian pages layout.
  * Persian fonts.
  * Better css and layout.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.6...v0.7)

#### v0.6 (11/05/2012)
  * Revolution architecture for parsengco.
  * Last english version.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.5...v0.6)

#### v0.5 (10/31/2012)
  * Complete samples page.
  * All english sample page.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.4...v0.5)

#### v0.4 (10/20/2012)
  * Blog page.
  * Better gallerys.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.3...v0.4)

#### v0.3 (10/19/2012)
  * More & Better Gallery Page Sample.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.2...v0.3)

#### v0.2 (10/13/2012)
  * Basic Gallery page.
  * Contact us page.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/v0.1...v0.2)

#### v0.1 (10/08/2012)
  * Menu and basic structure.
  * [View full changes](https://github.com/AliMD/ParsEngCo/compare/91aa4aa5be...v0.1)

## Contributing
♥ ParsEngCo website and want to get involved ?  
Thanks! There are plenty of ways you can help!  

### Report issues
Check project and report your issue [here](https://github.com/AliMD/ParsEngCo/issues)    

1. **Report your Idea**  
  If you have a any idea about design, programming, technology and other, please open an issue.
  
1. **Ask any question**  
  If you're one of my students and want to upgrade your skills, you can ask any question.  
  
1. **Bug report**  
  Please try to be as detailed as possible in your report. What is your
environment? What steps will reproduce the issue? What browser(s) and OS
experience the problem? What would you expect to be the outcome? All these
details will help people to assess and fix any potential bugs.
  
### Pull requests  

Good pull requests — patches, improvements, new features — are a fantastic
help. They should remain focused in scope and avoid containing unrelated commits.

If your contribution involves a significant amount of work or substantial
changes to any part of the project, please open an issue to discuss it first.

Please follow this process; it's the best way to get your work included in the project:

1. [Fork](http://help.github.com/fork-a-repo/) the project.

2. Clone your fork (`git clone
   https://github.com/<your-username>/ParsEngCo.git`).

3. Add an `upstream` remote (`git remote add upstream
   https://github.com/AliMD/ParsEngCo.git`).

4. Get the latest changes from upstream (e.g. `git pull upstream
   <dev-branch>`).

5. Create a new topic branch to contain your feature, change, or fix (`git
   checkout -b <topic-branch-name>`).

6. Make sure that your changes adhere to the current coding conventions used
   throughout the project - indentation, accurate comments, etc. Please update
   any documentation that is relevant to the change you are making.

7. Commit your changes in logical chunks; use git's [interactive
   rebase](https://help.github.com/articles/interactive-rebase) feature to tidy
   up your commits before making them public. Please adhere to these [git commit
   message
   guidelines](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html)
   or your pull request is unlikely be merged into the main project.

8. Locally merge (or rebase) the upstream branch into your topic branch.

9. Push your topic branch up to your fork (`git push origin
   <topic-branch-name>`).

10. [Open a Pull Request](http://help.github.com/send-pull-requests/) with a
    clear title and description. Please mention which browsers you tested in.

## All rights reserved ###
Please note that parseng.co is a curated site and that we reserve the right to refuse any listing for any reason.  
  
The [ParsEng.co](http://parseng.co) source code is released under [MIT License](http://opensource.org/licenses/MIT).  

## A 1Devs Website
#### Produced by The<i>One</i>Developers - Web Department  
